<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Shopee Flash Sale</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<div class="col-lg-8 mx-auto p-3 py-md-5">
    <header class="d-flex align-items-center pb-3 mb-5 border-bottom">
        <span class="fs-4">Săn sale cực mạnh</span>
    </header>

    <main>
        <h1>Shopee flash sale</h1>
        <h3>{{ current_session.name }}</h3>
        <p>Session <b>{{ promo_id}}</b> - {{ current_session.start_at | pretty_time }} - {{ current_session.end_at | pretty_time }}</p>
        <p>Số lượng sản phẩm: {{ total_products }} / {{ shopee_total_products }}</p>
        <form action="/" method="get" class="row">
            <div class="mb-3">
                <label for="cate-select">Chọn danh mục</label>
                <select class="form-select" id="cate-select" name="category_id">
                    <option value="" {% if not selected_category %}
                            selected
                            {% endif %}>Tất cả danh mục
                    </option>
                    {% for cat in cats %}
                    <option value="{{ cat }}" {% if cat == selected_category %}
                            selected
                            {% endif %}>{{ cat }}
                    </option>
                    {% endfor %}
                </select>
            </div>
            <div class="mb-3">
                <label for="sort-select">Chọn cách sắp xếp</label>
                <select class="form-select" id="sort-select" name="sort_by">
                    {% for sort in sort_options %}
                    <option value="{{ sort }}" {% if sort in selected_sort_by %}
                            selected
                            {% endif %}>{{ sort }}
                    </option>
                    {% endfor %}
                </select>
            </div>
            <div class="mb-3">
                <label for="perpage-select">Chọn số sản phẩm trình bày</label>
                <select class="form-select" id="perpage-select" name="per_page">
                    {% for i in range(20) %}
                    <option value="{{ (i + 1) * 48 }}" {% if selected_products_per_page== (i + 1) * 48 %}
                            selected
                            {% endif %}>{{ (i + 1) * 48 }}
                    </option>
                    {% endfor %}
                </select>
            </div>
            <div class="mb-3">
                <label for="page-select">Chọn trang</label>
                <select class="form-select" id="page-select" name="page">
                    {% for i in range(max_page) %}
                    <option value="{{ i + 1 }}" {% if selected_page== i + 1 %}
                            selected
                            {% endif %}>{{ i + 1 }}
                    </option>
                    {% endfor %}
                </select>
            </div>
            <div class="mb-3 form-check">
                <input type="checkbox" class="form-check-input" id="is_official_cb" name="is_official" value="1"
                       {% if selected_is_official %}
                       checked
                       {% endif %}>
                <label class="form-check-label" for="is_official_cb">Shopee MALL</label>
            </div>
            <input name="i" type="hidden" value="{{ index }}">
            <button type="submit" class="btn btn-primary">Tìm kiếm</button>
        </form>
        <hr class="mb-5">
        <div class="row g-5">
            {% for item in products %}
            <div class="col-md-4 col-sm-6">
                <div class="card h-100">
                    <a href="https://shopee.vn/product/{{ item.product.shop_id }}/{{ item.product_id }}"
                       target="_blank">
                        <img src="https://cf.shopee.vn/file/{{ item.product.image }}" class="card-img-top"
                             alt="{{ item.product.name }}">
                    </a>
                    <div class="card-body">
                        <h6 class="card-title">{{ item.name }}
                            {% if item.product.is_official %}
                            <span class="badge bg-danger">MALL</span>
                            {% endif %}
                        </h6>
                        {% if item.price %}
                        <p class="card-text"><b>Giá: {{ "{:,.0f}".format(item.price) }}</b>
                        {% else %}
                        <p class="card-text"><b>Giá hiện tại: ~{{ "{:,.0f}".format(item.product.price * (100 - item.raw_discount) / 100) }}</b></p>
                        <p class="card-text"><b>Giá: {{ item.hidden_price }}</b>
                        {% endif %}
                            (
                            <del>{{ "{:,.0f}".format(item.product.price) }}</del>
                            )
                        </p>
                        <p class="card-text">
                            Danh mục: <b>{{ item.flash_category_id }}</b>
                        </p>
                        {% if item.stock %}
                        <p class="card-text">
                            Đã bán: {{ item.sold }} / <b>{{ item.stock }}</b>
                            <div class="progress" style="height: 2px">
                                <div class="progress-bar bg-success" style="width: {{ 100 * item.sold / item.stock }}%"
                                     role="progressbar" aria-valuenow="{{ item.sold }}" aria-valuemin="0"
                                     aria-valuemax="{{ item.stock }}"></div>
                            </div>
                        </p>
                        {% endif %}
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
        <div class="row mt-5">
            <a href="/run?promo_id={{ promo_id }}" target="_blank" class="btn btn-danger">Cập nhật toàn bộ danh sách</a>
        </div>
    </main>
    <footer class="pt-5 my-5 text-muted border-top">
        Vo Hoai An &copy; 2022
    </footer>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>
</body>
</html>